<?php
	include("db.php");
	if (isset($_GET["usuario"]) && !empty($_GET["usuario"]) && $_GET["usuario"]=="admin" && isset($_GET["password"]) && !empty($_GET["password"]) && $_GET["password"]=="1234") {
		$test_array = array();
		if (isset($_GET["sku"]) && !empty($_GET["sku"])) {
			$rs = mysql_query("SELECT * FROM price_file WHERE sku = '".mysql_real_escape_string($_GET["sku"])."' AND precio > 0 LIMIT 5");	
		}
		if (isset($_GET["codigo_fabricante"]) && !empty($_GET["codigo_fabricante"])) {
			$rs = mysql_query("SELECT * FROM price_file WHERE codigo_fabricante LIKE '%".mysql_real_escape_string($_GET["codigo_fabricante"])."%' AND precio > 0 LIMIT 5");	
		}
		if (isset($_GET["marca"]) && !empty($_GET["marca"]) && isset($_GET["categoria"]) && !empty($_GET["categoria"])) {
			$rs = mysql_query("SELECT * FROM price_file WHERE id_marca = ".$_GET["marca"]." AND id_categoria = ".$_GET["categoria"]." AND precio > 0 LIMIT 5");		
		}
		if (isset($_GET["marca"]) && !empty($_GET["marca"]) && isset($_GET["categoria"]) && !empty($_GET["categoria"])) {
			$rs = mysql_query("SELECT * FROM price_file WHERE id_marca = ".$_GET["marca"]." AND id_categoria = ".$_GET["categoria"]." AND precio > 0 LIMIT 5");		
		}
		if (isset($_GET["marca"]) && !empty($_GET["marca"])) {
			$rs = mysql_query("SELECT * FROM price_file WHERE id_marca = ".$_GET["marca"]." AND precio > 0 LIMIT 5");		
		}				
	
		if (isset($_GET["categoria"]) && !empty($_GET["categoria"])) {
			$rs = mysql_query("SELECT * FROM price_file WHERE id_categoria = ".$_GET["categoria"]." AND precio > 0 LIMIT 5");		
		}						
		$utilidad = (isset($_GET["utilidad"]) && !empty($_GET["utilidad"]))?($_GET["utilidad"]/100)+1:1;
		if (isset($rs)) {
			$total = mysql_num_rows($rs);
			if ($total>0) {
				$i=0;
				while ($producto = mysql_fetch_assoc($rs)) {
					$item_properties = @array(
							'sku'               => $producto["sku"],
							'codigo_de_barras'  => $producto["codigo_barras"],
							'codigo_fabricante' => $producto["codigo_fabricante"],
							'descripcion_corta' => utf8_encode(addslashes($producto["descripcion_corta"])),
							'descripcion_larga' => htmlentities(utf8_encode(addslashes($producto["descripcion_larga"]))),
							'marca'             => utf8_encode($producto["marca"]),
							'id_marca'          => $producto["id_marca"],
							'categoria'         => utf8_encode($producto["categoria"]),
							'id_categoria'      => $producto["id_categoria"],
							'disponibilidad'    => $producto["disponibilidad"],
							'precio' 		    => $producto["precio"]*$utilidad,
							'ficha_tecnica'     => $producto["ficha_tecnica"],
							'imagen_full'       => $producto["imagen_full"],
							'imagen_thumb'      => str_replace("high", "low", $producto["imagen_full"])
					);
					$test_array["item".$i] = $item_properties;
					$i++;
				}
			}else{
				$test_array = array ('error' => 'productos no encontrados');
			}
		}else{
				$rs = mysql_query("SELECT * FROM price_file WHERE precio > 0 LIMIT 5");			
				$total = mysql_num_rows($rs);
				if ($total>0) {
					$i=0;
					while ($producto = mysql_fetch_assoc($rs)) {
						$item_properties = @array(
							'sku'               => $producto["sku"],
							'codigo_de_barras'  => $producto["codigo_barras"],
							'codigo_fabricante' => $producto["codigo_fabricante"],
							'descripcion_corta' => utf8_encode(addslashes($producto["descripcion_corta"])),
							'descripcion_larga' => htmlentities(utf8_encode(addslashes($producto["descripcion_larga"]))),
							'marca'             => utf8_encode($producto["marca"]),
							'id_marca'          => $producto["id_marca"],
							'categoria'         => utf8_encode($producto["categoria"]),
							'id_categoria'      => $producto["id_categoria"],
							'disponibilidad'    => $producto["disponibilidad"],
							'precio' 		    => $producto["precio"]*$utilidad,
							'ficha_tecnica'     => $producto["ficha_tecnica"],
							'imagen_full'       => $producto["imagen_full"],
							'imagen_thumb'      => str_replace("high", "low", $producto["imagen_full"])
						);
						$test_array["item".$i] = $item_properties;
						$i++;
					}
				}else{
					$test_array = array ('error' => 'productos no encontrados');
				}
		}
	}else{
		$test_array = array ('error' => 'usuario y/o contraseña inválidos ó vacios');
	}
	header('Content-type: text/xml');
	echo @array_to_xml($test_array, new SimpleXMLElement('<inventario/>'))->asXML();
?>